SDL_Vulkan_GetInstanceExtensions(3)

NAME
SDL_Vulkan_GetInstanceExtensions - Get the Vulkan instance extensions needed for vkCreateInstance.

HEADER FILE
Defined in SDL3/SDL_vulkan.h

SYNOPSIS
#include "SDL3/SDL.h"

char const* const* SDL_Vulkan_GetInstanceExtensions(Uint32 *count);

DESCRIPTION
This should be called after either calling SDL_Vulkan_LoadLibrary () or creating an SDL_Window
 with the SDL_WINDOW_VULKAN flag. On return, the variable pointed to by count will be set to the number of elements returned, suitable for using with VkInstanceCreateInfo::enabledExtensionCount, and the returned array can be used with VkInstanceCreateInfo::ppEnabledExtensionNames, for calling Vulkan's vkCreateInstance API. You should not free the returned array; it is owned by SDL.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of extensions returned.

RETURN VALUE
Returns An array of extension name strings on success, NULL on error.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_Vulkan_CreateSurface(3)